Create Service Request: ResMan
https://api.propexo.com/v1/service-requests/resman/| Interface | Method |
|---|---|
| Work Orders | /WorkOrders/PostWorkOrders |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the service request category
The Propexo unique identifier for the unit
The Propexo unique identifier for the employee. Please note that due to a lack of proper unique IDs in Resman, multiple duplicate employees may exist for the same actual employee. You may use any one of those duplicate record IDs for this API call.
The date the service request was created
A description of the service request
The name of the person who reported this service request
The due date associated with the service request
The status associated with the service request
Show 8 enum values
SubmittedNot StartedIn ProgressCompletedScheduledCancelledClosedOn HoldThe date the service request was completed
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the property
The Propexo unique identifier for the service request category
The Propexo unique identifier for the unit
The Propexo unique identifier for the employee. Please note that due to a lack of proper unique IDs in Resman, multiple duplicate employees may exist for the same actual employee. You may use any one of those duplicate record IDs for this API call.
The date the service request was created
A description of the service request
The name of the person who reported this service request
The due date associated with the service request
The status associated with the service request
Show 8 enum values
SubmittedNot StartedIn ProgressCompletedScheduledCancelledClosedOn HoldThe date the service request was completed
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/service-requests/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"service_request_category_id": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_description": "string",
"reported_by": "string",
"status_raw": "Submitted"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"service_request_category_id": "string",
"unit_id": "string",
"employee_id": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_description": "string",
"reported_by": "string",
"date_due": "2024-07-29T15:51:28.071Z",
"status_raw": "Submitted",
"date_completed": "2024-07-29T15:51:28.071Z"
}
}